<nz-table #tradesTable [nzData]="list" nzSize="small" [nzLoading]="isLoading">
  <thead>
    <tr>
      <th nzAlign="center">{{ "Common.From" | translate }}</th>
      <th nzAlign="center">{{ "Common.To" | translate }}</th>
      <th nzAlign="center">{{ "Common.Type" | translate }}</th>
      <th nzAlign="center">{{ "Common.Extra.Support.Status" | translate }}</th>
      <th nzAlign="center">{{ "Economy.Trade.StartAt" | translate }} / {{ "Economy.Trade.FinishedAt" | translate }}</th>
      <th nzAlign="center"></th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let data of tradesTable.data">
      <td nzAlign="center">
        <a href="/{{ data.from.type.toLowerCase() }}/{{ data.from.id }}">
          {{ data.from.name }}
        </a>
      </td>
      <td nzAlign="center">
        <a href="/{{ data.to.type.toLowerCase() }}/{{ data.to.id }}">
          {{ data.to.name }}
        </a>
      </td>
      <td nzAlign="center">
        <nz-tag nzColor="default" *ngIf="data.isInstant === true">{{ "Common.Buttons.Donate" | translate }}</nz-tag>
        <nz-tag nzColor="default" *ngIf="data.isInstant === false">{{ "Economy.Trade.Trad" | translate }}</nz-tag>
      </td>
      <td nzAlign="center">
        <nz-tag nzColor="processing" *ngIf="
            (data.isInstant === true &&
              data.fromAccepted === false &&
              data.toAccepted === false) ||
            (data.isInstant === false && data.fromAccepted === false) ||
            data.toAccepted === false
          ">{{ "Common.InProgress" | translate }}</nz-tag>
        <nz-tag nzColor="success" *ngIf="
            (data.isInstant === true &&
              (data.fromAccepted === true || data.toAccepted === true)) ||
            (data.isInstant === false &&
              data.fromAccepted === true &&
              data.toAccepted === true)
          ">{{ "Common.Finished" | translate }}</nz-tag>
      </td>
      <td nzAlign="center">
        {{ data.createdOn.replace('T', ' ').split('.')[0] }}
      </td>
      <td nzAlign="center">
        <a [routerLink]="['/trades', data.id]">
          <button nz-button nzShape="round" nzSize="small" nz-tooltip nzTooltipTitle="Open">
            <i class="fas fa-external-link-alt"></i>
          </button>
        </a>
      </td>
    </tr>
  </tbody>
</nz-table>
